org.apache.ignite.ml.composition.boosting.convergence.simple

## Class ConvergenceCheckerStubFactory

- java.lang.Object
- - org.apache.ignite.ml.composition.boosting.convergence.ConvergenceCheckerFactory
  - - org.apache.ignite.ml.composition.boosting.convergence.simple.ConvergenceCheckerStubFactory

-     public class ConvergenceCheckerStubFactory
      extends ConvergenceCheckerFactory

  Factory for `ConvergenceCheckerStub`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.composition.boosting.convergence.ConvergenceCheckerFactory

      `precision`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConvergenceCheckerStubFactory()` Create an instance of ConvergenceCheckerStubFactory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<K,V> ConvergenceChecker<K,V>` | `create(long sampleSize, IgniteFunction<Double,Double> externalLbToInternalMapping, Loss loss, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> preprocessor)` Create an instance of ConvergenceChecker.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConvergenceCheckerStubFactory

          public ConvergenceCheckerStubFactory()

      Create an instance of ConvergenceCheckerStubFactory.

  - ### Method Detail

    - #### create

          public <K,V> ConvergenceChecker<K,V> create(long sampleSize,
                                                      IgniteFunction<Double,Double> externalLbToInternalMapping,
                                                      Loss loss,
                                                      DatasetBuilder<K,V> datasetBuilder,
                                                      Preprocessor<K,V> preprocessor)

      Create an instance of ConvergenceChecker.
      Specified by:
        `create` in class `ConvergenceCheckerFactory`
      Parameters:
        `sampleSize` - Sample size.
        `externalLbToInternalMapping` - External label to internal mapping.
        `loss` - Loss function.
        `datasetBuilder` - Dataset builder.
        `preprocessor` - Upstream vectorizer.
      Returns:
        ConvergenceCheckerFactory instance.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020